com.r3corda.core.contracts / SignedTransaction / verify

# verify

`fun verify(throwIfSignaturesAreMissing: Boolean = true): Set<PublicKey>`

Verify the signatures, deserialise the wire transaction and then check that the set of signatures found contains the set of pubkeys in the commands. If any signatures are missing, either throws an exception (by default) or returns the list of keys that have missing signatures, depending on the parameter.

### Exceptions

`SignatureException` - if a signature is invalid, does not match or if any signature is missing.